"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
async function getRunnerContainer(docker) {
    const container = docker.getContainer(constants_1.DOCKER_CONTAINER_NAME);
    let info;
    try {
        info = await container.inspect();
    }
    catch (error) {
        return {
            container: null,
            isRunning: false,
        };
    }
    return {
        container,
        isRunning: info === null || info === void 0 ? void 0 : info.State.Running,
    };
}
exports.default = getRunnerContainer;
//# sourceMappingURL=getRunnerContainer.js.map